Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Emerging www-client/firefox-65.0 on arm64 (patch)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on ARM
View previous topic :: View next topic  
Author Message
Sakaki
Guru
Guru


Joined: 21 May 2014
Posts: 325

PostPosted: Sun Feb 03, 2019 11:40 am    Post subject: Emerging www-client/firefox-65.0 on arm64 (patch) Reply with quote

Hello,

trying to build the in-tree www-client/firefox-65.0 (using gcc) fails on arm64 during the configure phase, due to --disable-elf-hack being unconditionally set by mozconfig_annotate.

It will build OK if this flag (per e.g. Ubuntu's firefox-65 build) is omitted on arm64. Here's the (trivial) patch for the ebuild:
Code:
--- a/firefox-65.0.ebuild
+++ b/firefox-65.0.ebuild
@@ -37,7 +37,7 @@
 DESCRIPTION="Firefox Web Browser"
 HOMEPAGE="https://www.mozilla.com/firefox"
 
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
 
 SLOT="0"
 LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
@@ -464,7 +464,9 @@
 
    # https://bugzilla.mozilla.org/show_bug.cgi?id=1423822
    # bug #669382 #676908
-   mozconfig_annotate 'elf-hack is broken' --disable-elf-hack
+   if ! use arm64; then
+      mozconfig_annotate 'elf-hack is broken' --disable-elf-hack
+   fi
 
    echo "mk_add_options MOZ_OBJDIR=${BUILD_OBJ_DIR}" >> "${S}"/.mozconfig
    echo "mk_add_options XARGS=/usr/bin/xargs" >> "${S}"/.mozconfig

Remember that the board substitutes spaces in place of tabs, if trying to use the above patch directly. The modified ebuild may be viewed here.

Incidentally, a binary package for this has now been pushed to the isshoni.org binhost, for users of my gentoo-on-rpi3-64bit image.
_________________
Regards,

sakaki
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43783
Location: 56N 3W

PostPosted: Sun Feb 10, 2019 4:04 pm    Post subject: Reply with quote

Sakaki,

thunderbird-60.5.0.ebuild contains this wee gem.
Code:
        if use clang ; then
                # libprldap60.so: terminate called after throwing an instance of 'std::runtime_error', bug 667186
                mozconfig_annotate 'elf-hack is broken when using clang' --disable-elf-hack
        elif use arm ; then
                mozconfig_annotate 'elf-hack is broken on arm' --disable-elf-hack
        fi

        # Use an objdir to keep things organized.


A similar patch should work for thunderbird-60.5.0 on arm64 too.

I'm updating KDE just now. Once that's done, I'll modify the thunderbird-60.5.0.ebuild

-- edit --

My as yet untested patch
Code:
--- thunderbird-60.5.0.ebuild_org   2019-02-10 16:07:04.628756519 +0000
+++ thunderbird-60.5.0.ebuild   2019-02-10 16:08:46.330758422 +0000
@@ -410,6 +410,8 @@
       mozconfig_annotate 'elf-hack is broken when using clang' --disable-elf-hack
    elif use arm ; then
       mozconfig_annotate 'elf-hack is broken on arm' --disable-elf-hack
+        elif use arm64 ; then
+                mozconfig_annotate 'elf-hack is broken on arm64' --disable-elf-hack
    fi
 
    # Use an objdir to keep things organized.


-- edit 2 --

--disable-elf-hack is not allowed ...
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on ARM All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum